﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private SearchTemplate As B4XSearchTemplate
	Private Dialog As B4XDialog
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Dialog.Initialize (Root)
	Dialog.Title = "Search"
	Dialog.ButtonsHeight = 60dip
	Dialog.BackgroundColor = Colors.ARGB(255, 35, 31, 31)
	
	SearchTemplate.Initialize
	SearchTemplate.Resize(100%x, 100%y - Dialog.ButtonsHeight)
	SearchTemplate.CustomListView1.DefaultTextBackgroundColor = Colors.ARGB(255, 35, 31, 31)
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	MsgboxAsync("CA: THE 1 at top", "same list unsorted")
	
	Dim l As List
	l.Initialize
	
	'11 list that should be at the top--------------------------------------------------
	l.Add("CA: THE 1")
	l.Add("CA THE 2 (D)")
	l.Add("BS THE Dark DD")
	l.Add("BS THE")
	l.Add("BS THE 2 (A)")
	l.Add("BS THE Something (Cool)")
	l.Add("BS THE Awesome (Cool)")
	l.Add("BS THE Whatever (Cool)")
	l.Add("BS THE Made DD")
	l.Add("BD: THE DD")
	l.Add("BD: THE Rock DD")
	'------------------------------------------------------------------------------------

	l.Add("A beautiful Day in the neightborhood (2999)")
	l.Add("A neithe's vendetta (3333)")
	
	For x = 0 To 40
		l.Add("What heighthehood S1 R" & x)
	Next
	
	For x = 0 To 40000
		l.Add("this is a test" & x)
	Next
	
	
	SearchTemplate.SetItems(l)

	Dim rs As Object = Dialog.ShowTemplate(SearchTemplate, "", "", "CANCEL")
	Sleep(100)
	SearchTemplate.SearchField.Text = "the"
	Wait For (rs) Complete (Result As Int)

End Sub



Private Sub Button2_Click
	MsgboxAsync("A beautiful Day in mmtheneightborhood (2999) at  top", "same list sorted")
	
	Dim l As List
	l.Initialize
	
	'11 list that should be at the top--------------------------------------------------
	l.Add("CA: THE 1")
	l.Add("CA THE 2 (D)")
	l.Add("BS THE Dark DD")
	l.Add("BS THE")
	l.Add("BS THE 2 (A)")
	l.Add("BS THE Something (Cool)")	'on my other app this will not show up (only 5 of them shows)
	l.Add("BS THE Awesome (Cool)")		'on my other app this will not show up (only 5 of them shows)
	l.Add("BS THE Whatever (Cool)")		'on my other app this will not show up (only 5 of them shows)
	l.Add("BS THE Made DD")				'on my other app this will not show up (only 5 of them shows)
	l.Add("BD: THE DD")					'on my other app this will not show up (only 5 of them shows)
	l.Add("BD: THE Rock DD")			'on my other app this will not show up (only 5 of them shows)
	'------------------------------------------------------------------------------------
	
	l.Add("A beautiful Day in mmtheneightborhood (2999)")
	l.Add("A neithe's vendetta (3333)")
	
	For x = 0 To 40
		l.Add("What heighthehood S1 R" & x)
	Next
	
	For x = 0 To 40000
		l.Add("this is a test" & x)
	Next
	
	l.Sort(True)
	
	SearchTemplate.SetItems(l)

	Dim rs As Object = Dialog.ShowTemplate(SearchTemplate, "", "", "CANCEL")
	Sleep(100)
	SearchTemplate.SearchField.Text = "the"
	Wait For (rs) Complete (Result As Int)
End Sub
